.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    background: #52C9F0;

    @include media-breakpoint-up(md) {
        background: #52C9F0 url("../img/bg.svg") 50% 0 repeat-y;

    }

    @include media-breakpoint-up(xxl) {
        background-size: 100% auto;
    }
}

.main {
    flex-grow: 1;
    padding: rem(109) 0 rem(40) 0;

    @include media-breakpoint-up(md) {
        padding-top: rem(127);
        padding-bottom: rem(80);
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(60);
    }
}

.swiper {
    width: 100%;
    height: 100%;
}


.post-date {
    fill: $blue;
    color: $black;
    font-weight: 600;
    font-size: rem(16);
    line-height: rem(24);
    white-space: nowrap;
    display: flex;
    align-items: center;

    i {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(24);
        margin-right: rem(8);
        display: inline-block;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(20);
        line-height: rem(24);
    }
}

.manifest {
    z-index: 10;
    padding: rem(24);
    font-weight: 400;
    font-size: rem(16);
    line-height: rem(24);
    background: #FFFFFF;
    position: relative;
    margin-bottom: rem(80);
    box-shadow: 0px 20px 20px rgba(54, 95, 159, 0.2);
    border-radius: 15px;

    &__title {
        font-weight: 700;
        font-size: rem(26);
        line-height: rem(32);
        margin-bottom: rem(10);
        font-family: $font-family-third;
    }

    &__text {

    }

    &__buttons {
        padding-top: rem(20);
    }

    &__button {

        &:first-child {
            margin-bottom: rem(12);
        }

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(40);
        font-size: rem(18);
        line-height: rem(26);

        &__buttons {
            display: flex;
            align-items: center;
        }

        &__button {

            &:first-child {
                margin: 0 rem(20) 0 0;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        width: rem(610);
    }
}

.offer {
    color: $black;
    padding: rem(24);
    background: $white;
    margin-bottom: rem(80);
    box-shadow: 0px 20px 20px rgba(54, 95, 159, 0.2);
    border-radius: 15px;

    &__content {
        margin-bottom: rem(20);
    }

    &__logo {
        display: block;
        width: rem(116);
        margin-bottom: rem(20);
    }

    &__title {
        font-weight: 700;
        font-size: rem(26);
        line-height: rem(32);
        margin-bottom: rem(20);
    }

    &__link {
        color: $blue;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        white-space: nowrap;
        display: inline-block;
        text-decoration: none;

        &:hover {
            color: $blue;
            text-decoration: underline;
        }
    }

    &__image {
        display: block;
        overflow: hidden;
        height: rem(190);
        border-radius: 6px;
    }

    @include media-breakpoint-up(md) {
        padding: rem(15) rem(15) rem(15) rem(40);
        display: flex;
        align-items: center;

        &__content  {
            margin-bottom: 0;
        }

        &__image {
            width: rem(280);
            margin-left: rem(20);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(lg) {

        &__image {
            width: rem(420px);
        }
    }
}

.section {
    margin-bottom: rem(80);

    &__header {
        font-weight: 700;
        font-size: rem(32);
        line-height: rem(42);
        margin-bottom: rem(40);
        font-family: $font-family-secondary;
    }

    &__footer {
        text-align: center;
        padding-top: rem(20);
    }

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(42);
            line-height: rem(50);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(160);

        &__header {
            font-size: rem(60);
            line-height: rem(70);
        }
    }
}

.broadcast {
    display: block;
    overflow: hidden;
    position: relative;
    border-radius: 10px;
    box-shadow: 0px 20px 20px rgba(54, 95, 159, 0.2);

    &__play {
        top: calc(50% - 30px);
        left: calc(50% - 30px);
        z-index: 10;
        width: 60px;
        height: 60px;
        display: block;
        overflow: hidden;
        border-radius: 50%;
        position: absolute;
        background: linear-gradient(139.54deg, #F3F7FF 22.65%, #CFDAF0 83.78%);
    }
}

.tag {
    color: $black;
    font-size: rem(14);
    line-height: rem(20);
    text-decoration: none;
    background: #EDF2FA;
    border-radius: 5px;
    white-space: nowrap;
    padding: rem(2) rem(10);
    display: inline-flex;
    align-items: center;
    justify-content: center;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}

.speakers {
    display: flex;
    align-items: center;

    &__group {
        margin: -3px;
        display: flex;
        align-items: center;
    }

    &__item {
        width: 56px;
        height: 56px;
        display: none;
        margin-left: -13px;
        border-radius: 50%;
        overflow: hidden;
        border: 3px solid $white;

        &:first-child {
            margin-left: 0;
        }

        &:nth-child(-n+4) {
            display: block;
        }
    }

    &__more {
        border: none;
        outline: none;
        color: #66605C;
        cursor: pointer;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(20);
        text-decoration: none;
        white-space: nowrap;
        background: transparent;
        display: inline-block;
        padding: rem(8) rem(10);
        margin-left: rem(2);
        opacity: 0.7;
        transition: .3s;

        &:hover {
            opacity: 1;
            color: #66605C;
            text-decoration: none;
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {

        &__group {

            &--md {

                .speakers__item {

                    &:nth-child(-n+8) {
                        display: block;
                    }
                }
            }
        }
    }
}


.search-block {
    margin-bottom: rem(32);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(38);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(64);
    }
}

.heading {
    margin-bottom: rem(25);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;

    &__title {
        margin: rem(3) 0;
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(30);
        font-family: $font-family-third;
    }

    &__filter {
        display: flex;
        align-items: center;

        &__item {

            &:not(:last-child) {
                margin-right: rem(10);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(15);
    }
}

.speakers-grid {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(8);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(30);
        grid-column-gap: rem(16);
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;
    }
    @include media-breakpoint-up(xl) {
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }
}

.view-line {
    text-align: center;
    padding-top: rem(30);
}

.backward {
    fill: #736F6D;
    color: #736F6D;
    font-weight: 500;
    font-size: rem(12);
    line-height: rem(18);
    margin-bottom: rem(20);
    letter-spacing: 0.03em;
    text-transform: uppercase;
    text-decoration: none;
    align-items: center;
    display: inline-flex;

    i {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(18);
        margin-right: rem(4);
        display: inline-block;
    }

    &:hover {
        fill: $blue;
        color: $blue;
        margin-bottom: rem(20);
    }
}

.speaker {
    margin-bottom: rem(40);

    &__image {
        display: block;
        overflow: hidden;
        border-radius: rem(10);
        margin-bottom: rem(20);
    }

    &__content {

    }

    &__title {
        font-weight: 700;
        font-size: rem(32);
        line-height: rem(42);
        font-family: $font-family-secondary;
    }

    &__text {
        font-size: rem(16);
        line-height: rem(24);
        margin-bottom: rem(20);
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(sm) {
        display: flex;

        &__media {
            width: rem(224);
            flex-shrink: 0;
            margin-bottom: 0;
        }

        &__content {
            max-width: rem(600);
            flex-grow: 1;
            padding-left: rem(26);
        }
    }

    @include media-breakpoint-up(md) {

        &__text {
            margin-bottom: rem(30);
        }

        &__button {

            .btn {
                width: auto;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__media {
            width: rem(241);
        }

        &__content {
            padding-left: rem(40);
        }

        &__text {
            font-size: rem(18);
            line-height: rem(26);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(60);

        &__title {
            font-size: rem(60);
            line-height: rem(70);
        }
    }
}

.listing {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(xl) {

         &--grid-xl {
             grid-template-columns: 1fr 1fr 1fr;
         }
    }
}

.user-header {
    margin-bottom: rem(40);

    &__title {
        margin-bottom: rem(25);
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(sm) {

        &__button {

            .btn {
                width: auto;
            }
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__title {
            margin-bottom: 0;
            padding-right: rem(20);
        }
    }
}

.info-block {
    margin-bottom: rem(40);

    &__media {
        width: rem(236px);
        margin: 0 auto rem(25) auto;
    }

    &__content {
        text-align: center;
    }

    &__title {
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(20);
        margin-bottom: rem(10);
        font-family: $font-family-third;
    }

    &__text {
        font-size: rem(18);
        line-height: rem(26);
        margin-bottom: rem(25);
    }

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: flex-start;

        &__media {
            margin: 0;
            flex-shrink: 0;
        }

        &__content {
            text-align: left;
            padding-left: rem(30);
        }
    }
}

.box-gray {
    background: #DBE5F5;
    border-radius: 15px;
    min-height: rem(340);
    margin-bottom: rem(20);

    @include media-breakpoint-up(sm) {
        min-height: rem(240);
    }
}

.program-box {
    padding: rem(20);
    background: $white;
    border-radius: 20px;
    margin-bottom: rem(40);

    &__content {
        margin-bottom: rem(30);
    }

    &__title {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(30);
        margin-bottom: rem(15);
        font-family: $font-family-third;
    }

    &__media {
        color: $black;
        display: block;
        padding: rem(20);
        position: relative;
        background: #DBE5F5;
        border-radius: 10px;
        text-decoration: none;

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__logo {
        width: rem(30);
        display: block;
        margin-bottom: rem(20);
    }

    &__text {
        display: block;
        color: #17181A;
        font-weight: 500;
        font-size: rem(15);
        line-height: rem(20);
        margin-bottom: rem(5);
    }

    &__size {
        display: block;
        color: #5C6166;
        font-size: rem(12);
        line-height: rem(14);
    }

    &__download {
        right: rem(20);
        bottom: rem(20);
        font-size: 0;
        line-height: 0;
        height: rem(16);
        position: absolute;
        display: inline-block;
    }

    @include media-breakpoint-up(md) {
        display: flex;

        &__content {
            margin: 0;
           padding: rem(10);
            flex-grow: 1;
            display: flex;
            flex-direction: column;
        }

        &__media {
            width: rem(444);
            flex-shrink: 0;
        }
        &__title {
            margin-bottom: rem(16);
            flex-grow: 1;
        }
    }

    @include media-breakpoint-up(lg) {

        &__media {
            width: rem(514);
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(50);

        &__title {
            font-size: rem(32);
            line-height: rem(40);
        }
    }
}

[data-tabs-menu] {
    position: relative;

    .swiper-slide {
        width: auto;
    }
}

.main-tabs {
    position: relative;
    margin-bottom: rem(56);

    &__nav {
        position: relative;
        margin-bottom: rem(20);

        &:before {
            left: 0;
            bottom: 0;
            right: -200px;
            content: '';
            height: 1px;
            position: absolute;
            background: #C4C4C4;
        }
    }

    &__button {
        z-index: 20;
        padding: 0 0 rem(4) 0;
        border: none;
        outline: none;
        fill: #736F6D;
        color: #736F6D;
        cursor: pointer;
        height: rem(42);
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(20);
        position: relative;
        background: transparent;
        font-family: $font-family-third;
        display: flex;
        align-items: center;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(24);
            margin-right: rem(6);
        }

        &.active {
            fill: $black;
            color: $black;

            &:before {
                left: 0;
                right: 0;
                bottom: 0;
                content: '';
                height: 3px;
                position: absolute;
                background: #331F12;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__nav {
            margin-bottom: rem(35);
        }

        &__button {
            height: rem(52);
            font-size: rem(24);
            line-height: rem(30)
        }
    }
}

.partners {

    &__header {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(30);
        letter-spacing: 0.01em;
        margin-bottom: rem(25);
        font-family: $font-family-third;
    }

    &__main {
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(16);
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(md) {

        &__main {
            grid-template-columns: 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            grid-template-columns: 1fr;
        }
    }
}

.partner-item {
    color: $black;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(15);
    background: $white;
    border-radius: 15px;

    &__media {
        width: rem(140);
        margin: 0 auto rem(10) auto;
    }

    &__title {
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(28);
        margin-bottom: rem(10);
        font-family: $font-family-third;
    }

    @include media-breakpoint-up(lg) {
        padding: rem(20);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(15);
        line-height: rem(20);
        display: flex;
        align-items: center;

        &__media {
            margin: 0;
            flex-shrink: 0;
        }

        &__content {
            padding-left: rem(20);
        }

        &__title {
            font-size: rem(18);
            line-height: rem(20);
            margin-bottom: rem(10);
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
